Long Term Retention Backups - Update

Updates an existing long term retention backup.

POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/longTermRetentionServers/{longTermRetentionServerName}/longTermRetentionDatabases/{longTermRetentionDatabaseName}/longTermRetentionBackups/{backupName}/update?api-version=2025-01-01

URI Parameters

Name In Required Type Description
backupName
path True

string

The backup name.

locationName
path True

string

The location of the database.

longTermRetentionDatabaseName
path True

string

The name of the database

longTermRetentionServerName
path True

string

The name of the server

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.requestedBackupStorageRedundancy

BackupStorageRedundancy

The storage redundancy type of the copied backup

Responses

Name Type Description
200 OK

LongTermRetentionBackupOperationResult

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

Location: string

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Update the long term retention backup.

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionServers/testserver/longTermRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131637960820000000/update?api-version=2025-01-01

{
  "properties": {
    "requestedBackupStorageRedundancy": "Geo"
  }
}

Sample response

{
  "name": "a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
  "type": "Microsoft.Sql/locations/longTermRetentionBackupOperationResults",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionBackupOperationResults/a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
  "properties": {
    "fromBackupResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionServers/testserver/longterRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131637960820000000",
    "operationType": "UpdateBackup",
    "requestId": "a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706",
    "status": "Succeeded",
    "targetBackupStorageRedundancy": "Geo"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japanEast/longTermRetentionBackupOperationResults/a1aa7c77-961b-4fbb-bcd6-aa9acfcd1706?api-version=2021-05-01

Definitions

Name Description
BackupStorageRedundancy

The storage account type used to store backups for this database.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

LongTermRetentionBackupOperationResult

A LongTermRetentionBackup operation result resource.

systemData

Metadata pertaining to creation and last modification of the resource.

UpdateLongTermRetentionBackupParameters

Contains the information necessary to perform long term retention backup update operation.

BackupStorageRedundancy

The storage account type used to store backups for this database.

Value Description
Geo

Geo

Local

Local

Zone

Zone

GeoZone

GeoZone

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

LongTermRetentionBackupOperationResult

A LongTermRetentionBackup operation result resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.fromBackupResourceId

string

Source backup resource id

properties.message

string

Progress message

properties.operationType

string

Operation type.

properties.requestId

string (uuid)

Request Id.

properties.status

string

Operation status

properties.targetBackupStorageRedundancy

BackupStorageRedundancy

The storage redundancy type of the copied backup

properties.toBackupResourceId

string

Target backup resource id

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UpdateLongTermRetentionBackupParameters

Contains the information necessary to perform long term retention backup update operation.

Name Type Description
properties.requestedBackupStorageRedundancy

BackupStorageRedundancy

The storage redundancy type of the copied backup